<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_obj.xsd"/>
<xsd:include schemaLocation="common_trans.xsd"/>
	
	<xsd:element name="IP_SPAN_LIST" type="IpSpanListContent"/>
	<xsd:element name="IP_SPAN" type="IpSpanContent"/>
	<xsd:element name="RAS_PORT" type="xsd:integer"/>
	<xsd:element name="CALL_SIGNAL_PORT" type="xsd:integer"/>
	<xsd:element name="SPEED" type="SpeedType"/>
	<xsd:element name="PORT_RANGE" type="PortRangeContent"/>
	<xsd:element name="IS_PORT_RANGE" type="xsd:boolean" default="false"/>
	<xsd:element name="DYNAMIC_PORT_ALLOCTION" type="xsd:boolean" default="false"/>
	<xsd:element name="TCP_FIRST_PORT" type="xsd:integer"/> 
	<xsd:element name="TCP_LAST_PORT" type="xsd:integer"/>
	<xsd:element name="UDP_FIRST_PORT" type="xsd:integer"/>  
	<xsd:element name="UDP_LAST_PORT" type="xsd:integer"/>
	<xsd:element name="SIGNALING_FIRST_PORT" type="xsd:integer"/>
	<xsd:element name="SIGNALING_NUM_PORTS" type="xsd:integer"/>
	<xsd:element name="CONTROL_FIRST_PORT" type="xsd:integer"/>
	<xsd:element name="CONTROL_NUM_PORTS" type="xsd:integer"/>
	<xsd:element name="AUDIO_FIRST_PORT" type="xsd:integer"/>
	<xsd:element name="AUDIO_NUM_PORTS" type="xsd:integer"/>
	<xsd:element name="VIDEO_FIRST_PORT" type="xsd:integer"/>
	<xsd:element name="VIDEO_NUM_PORTS" type="xsd:integer"/>
	<xsd:element name="DATA_FIRST_PORT" type="xsd:integer"/>
	<xsd:element name="DATA_NUM_PORTS" type="xsd:integer"/>
	<xsd:element name="FECC_FIRST_PORT" type="xsd:integer"/>
	<xsd:element name="FECC_NUM_PORTS" type="xsd:integer"/>
	<xsd:element name="NUM_INTENDED_CALLS" type="xsd:integer"/>
	<xsd:element name="ALIAS_LIST" type="AliasListContent"/>
	<xsd:element name="NAT" type="NatContent"/>
	<xsd:element name="NAT_TRAVERSAL_EXTERNAL_ADDRESS_STATUS" type="ServerStatusType"/>
	<xsd:element name="NAT_TRAVERSAL_IP_ADDRESS" type="IpAddressType"/>
	<xsd:element name="DNS_STATUS" type="ServerStatusType"/>
	<xsd:element name="SERVICE_PROVIDER_NAME" type="xsd:string"/>
	
	
	<xsd:simpleType name="SpanType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="ip_span_type_uri"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="PortRangeContent">
		<xsd:sequence>
			<xsd:element ref="IS_PORT_RANGE" minOccurs="0"/>
			<xsd:element ref="DYNAMIC_PORT_ALLOCTION" minOccurs="0"/> <!--not supported-->
			<xsd:element ref="TCP_FIRST_PORT" minOccurs="0"/>
			<xsd:element ref="TCP_LAST_PORT" minOccurs="0"/>
			<xsd:element ref="UDP_FIRST_PORT" minOccurs="0"/>
			<xsd:element ref="UDP_LAST_PORT" minOccurs="0"/>
			<xsd:element ref="SIGNALING_FIRST_PORT" minOccurs="0"/>   <!--not supported-->
			<xsd:element ref="SIGNALING_NUM_PORTS" minOccurs="0"/>    <!--not supported-->
			<xsd:element ref="CONTROL_FIRST_PORT" minOccurs="0"/>     <!--not supported-->
			<xsd:element ref="CONTROL_NUM_PORTS" minOccurs="0"/>      <!--not supported-->
			<xsd:element ref="AUDIO_FIRST_PORT" minOccurs="0"/>       <!--not supported-->
			<xsd:element ref="AUDIO_NUM_PORTS" minOccurs="0"/>        <!--not supported-->
			<xsd:element ref="VIDEO_FIRST_PORT" minOccurs="0"/>       <!--not supported-->
			<xsd:element ref="VIDEO_NUM_PORTS" minOccurs="0"/>        <!--not supported-->
			<xsd:element ref="DATA_FIRST_PORT" minOccurs="0"/>        <!--not supported-->
			<xsd:element ref="DATA_NUM_PORTS" minOccurs="0"/>         <!--not supported-->
			<xsd:element ref="NUM_INTENDED_CALLS" minOccurs="0"/>     <!--not supported-->
			<xsd:element ref="FECC_FIRST_PORT" minOccurs="0"/>        <!--not supported-->
			<xsd:element ref="FECC_NUM_PORTS" minOccurs="0"/>         <!--not supported-->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="SpeedType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="speed_auto"/>
			<xsd:enumeration value="speed_10"/>
			<xsd:enumeration value="speed_10_duplex_full"/>
			<xsd:enumeration value="speed_100"/>
			<xsd:enumeration value="speed_100_duplex_full"/>
			<xsd:enumeration value="speed_1000_duplex_full"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="IpSpanListContent">
		<xsd:sequence>
			<xsd:element ref="IP_SPAN" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="NatContent">
		<xsd:sequence>
			<xsd:element ref="NAT_TRAVERSAL_EXTERNAL_ADDRESS_STATUS" minOccurs="0"/>
			<xsd:element ref="NAT_TRAVERSAL_IP_ADDRESS" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="IpSpanContent">
		<xsd:sequence>
			<xsd:element ref="LINE_NUMBER"/>
			<xsd:element ref="SERVICE_PROVIDER_NAME" minOccurs="0"/> <!--not supported-->
			<xsd:element ref="IP" minOccurs="0"/>
			<xsd:element ref="ALIAS_LIST" minOccurs="0"/>
			<xsd:element ref="RAS_PORT" minOccurs="0"/>
			<xsd:element ref="CALL_SIGNAL_PORT" minOccurs="0"/>
			<xsd:element ref="SPEED" minOccurs="0"/>
			<xsd:element ref="PORT_RANGE" minOccurs="0"/>
			<xsd:element ref="HOST_NAME" minOccurs="0"/>
			<xsd:element ref="NAT" minOccurs="0"/>
			<xsd:element ref="IP_V6_LIST" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="AliasListContent">
		<xsd:sequence>
			<xsd:element ref="ALIAS" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>
